# What's this?

A tiny puppet module for setting-up a Debian mirror.

# How to use it?

Simply write this in a manifest:

```
class {'::archvsync': }

```
# What if I want more control?

None of the parameters are mandatory, though you can customize a bit your
installation. Here's an exhaustive list:

```
  class {'::archvsync':
    manage_apache    => true,
    manage_pureftpd  => true,
    package_ensure   => 'present',
    mirrorname       => $::fqdn,
    to               => '/home/ftp/debian/',
    mailto           => 'toto@example.com',
    homedir          => '/home/ftp',
    hub              => 'false',
    rsync_host       => 'ftp.fr.debian.org',
    rsync_path       => 'debian',
    info_maintainer  => 'Toor Op <root@localhost>',
    info_sponsor     => 'World Company SA <https://www.example.com>',
    info_country     => 'US',
    info_location    => 'Nowhere city',
    info_throughput  => '10Gb',
    arch_include     => 'amd64 source',
    arch_exclude     => '',
    logdir           => '/home/ftp/log',
    setup_daily_cron => true,
  }
```

# What's missing in this module?

Currently, it can only install a /etc/cron.daily/ftpsync job. The push
method isn't supported yet. This will come as soon as I have the time
to setup a public mirror myself and do that setup.
